Bug 783657 (fiwalk) - Review Request: fiwalk - Batch analysis of a disk image
Summary: Review Request: fiwalk - Batch analysis of a disk image
Status: CLOSED WONTFIX
Alias: fiwalk
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2012-01-21 14:54 UTC by Nicolas Chauvet (kwizart)
Modified: 2012-07-04 08:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-04 08:30:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2012-01-21 14:54:55 UTC
Spec URL: http://kwizart.fedorapeople.org/review/fiwalk.spec
SRPM URL: http://kwizart.fedorapeople.org/review/fiwalk-0.6.16-1.fc17.src.rpm
Description: Batch analysis of a disk image

Comment 1 Volker Fröhlich 2012-01-22 00:17:04 UTC
Correct these permissions in the prep section:

fiwalk-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fiwalk-0.6.16/src/fiwalk.cpp
fiwalk-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fiwalk-0.6.16/src/base64.h
fiwalk-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/fiwalk-0.6.16/src/base64.cpp

COPYING states Public Domain.

I think the description could be better. Maybe you can make up something together with http://afflib.org/software/fiwalk?

Consider to install the example Python scripts as documentation. Though I wonder about where the Python module is.


(The stuff I wrote on defattr and EPEL on the aimage review also applies here.)

Comment 2 Nicolas Chauvet (kwizart) 2012-01-23 23:21:50 UTC
Spec URL: http://kwizart.fedorapeople.org/review/fiwalk.spec
SRPM URL: http://kwizart.fedorapeople.org/review/fiwalk-0.6.16-2.fc17.src.rpm
Description: Batch analysis of a disk image

Changelog:
- Update description
- Fix spurious exec permission
- Correct license field to Public Domain
- Install python examples in doc

Thx for the reviews

Comment 3 Michal Ambroz 2012-06-26 01:28:01 UTC
Hello, 
I will take review of this package.
Michal Ambroz

Comment 4 Nicolas Chauvet (kwizart) 2012-07-04 08:30:20 UTC
Hi,

Thx for the attempt to review, but this package will be merged in the next version of sleuthkit (already in fedora).


Note You need to log in before you can comment on or make changes to this bug.